<?php
// инициализация
$xhe_host = '127.0.0.1:7010';
$relative_app_dir = '..\\..\\..\\';
require($relative_app_dir.'Templates/init.php');
include($relative_app_dir.'Templates/_for_tests_.php');

$bUTF8Ver = true;
$PHP_Use_Trought_Shell = true;

// рабочая папка
$script_folder = $debug->get_cur_script_folder();
// отсносительный путь
$app_dir = realpath($script_folder.$relative_app_dir);
// тестовые данные
$test = new _for_tests_($script_folder, $xml);

// начало теста
$test->echo_header('get_by_xPath_single');

$query1 = '/Root/Tree[1]/Leaf[2]';
$query2 = '/Root/Tree[1]/Leaf[position()<3]';
$query3 = '/Root/Tree[1]';
$query4 = '/Root/Tree[2]';

$xml_path = $test->get_test_file_full_path('textxml.xml');
$xml_text = $test->read_all_text_from_file($xml_path);
echo '1. Query: \"'.$query1."\"\n\n";
echo $test->escapeXml($xml->get_by_xPath_single($xml_text, $query1))."\n";

echo '2. Query: \"'.$query2."\"\n\n";
echo $test->escapeXml($xml->get_by_xPath_single($xml_text, $query2))."\n";

echo '3. Query: \"'.$query3."\"\n\n";
echo $test->escapeXml($xml->get_by_xPath_single($xml_text, $query3))."\n";

echo '4. Query: \"'.$query4."\"\n\n";
echo $test->escapeXml($xml->get_by_xPath_single($xml_text, $query4))."\n";

// конец теста
echo "\n<hr><br>";

// выход
$app->quit();
?>
