# дополнительные пути
import sys, os
relative_app_dir = '..\\..\\..\\'
sys.path.append(os.path.join(relative_app_dir, 'Templates PY'))

# связь с платофрмой
xhe_host = '127.0.0.1:7010'
from xweb_human_emulator import *
from _for_tests_ import _for_tests_

# рабочая папка
script_folder = debug.get_cur_script_folder()
# относительный путь
app_dir = os.path.abspath(os.path.join(script_folder, relative_app_dir))

# тестовые данные
test = _for_tests_(script_folder, xml)

# начало теста
test.echo_header('validate_from_file2')

print('1. XML:\n')
xml_path = test.get_test_file_full_path('nonvalidxml.xml')
xml_text = test.read_all_text_from_file(xml_path)
print(test.escapeXml(xml_text))

print('2. XSD:\n')
xsd_path = test.get_test_file_full_path('xsdtest.xsd')
xsd_text = test.read_all_text_from_file(xsd_path)
print(test.escapeXml(xsd_text))

print('3. Is Valid(Expected false):')
res = xml.validate_from_file(xml_path, xsd_path)
print(res)

# конец теста
print('\n<hr><br>')

# выход
app.quit()
