<?php
// инициализация
$xhe_host = '127.0.0.1:7010';
$relative_app_dir = '..\\..\\..\\';
require($relative_app_dir.'Templates/init.php');
include($relative_app_dir.'Templates/_for_tests_.php');

$bUTF8Ver = true;
$PHP_Use_Trought_Shell = true;

// рабочая папка
$script_folder = $debug->get_cur_script_folder();
// отсносительный путь
$app_dir = realpath($script_folder.$relative_app_dir);
// тестовые данные
$test = new _for_tests_($script_folder, $xml);

// начало теста
$test->echo_header('validate_from_file');

echo '1. XML:'."\n\n";
$xml_path = $test->get_test_file_full_path('textxml.xml');
$xml_text = $test->read_all_text_from_file($xml_path);
echo $test->escapeXml($xml_text)."\n";

echo '2. XSD:'."\n\n";
$xsd_path = $test->get_test_file_full_path('xsdtest.xsd');
$xsd_text = $test->read_all_text_from_file($xsd_path);
echo $test->escapeXml($xsd_text)."\n";

echo '3. Is Valid(Expected true):'."\n";
$res = $xml->validate_from_file($xml_path, $xsd_path);
$res = $res ? 'true' : 'false';
echo $res."\n";

// конец теста
echo "\n<hr><br>";

// выход
$app->quit();
?>
