# дополнительные пути
import sys, os
relative_app_dir = '..\\..\\..\\'
sys.path.append(os.path.join(relative_app_dir, 'Templates PY'))

# связь с платофрмой
xhe_host = '127.0.0.1:7010'
from xweb_human_emulator import *
from _for_tests_ import _for_tests_

# рабочая папка
script_folder = debug.get_cur_script_folder()
# относительный путь
app_dir = os.path.abspath(os.path.join(script_folder, relative_app_dir))

# тестовые данные
test = _for_tests_(script_folder, xml)

# начало теста
test.echo_header('get_by_xPath_single')

query1 = '/Root/Tree[1]/Leaf[2]'
query2 = '/Root/Tree[1]/Leaf[position()<3]'
query3 = '/Root/Tree[1]'
query4 = '/Root/Tree[2]'

xml_path = test.get_test_file_full_path('textxml.xml')
xml_text = test.read_all_text_from_file(xml_path)
print(f'1. Query: "{query1}"\n')
print(test.escapeXml(xml.get_by_xPath_single(xml_text, query1)))

print(f'2. Query: "{query2}"\n')
print(test.escapeXml(xml.get_by_xPath_single(xml_text, query2)))

print(f'3. Query: "{query3}"\n')
print(test.escapeXml(xml.get_by_xPath_single(xml_text, query3)))

print(f'4. Query: "{query4}"\n')
print(test.escapeXml(xml.get_by_xPath_single(xml_text, query4)))

# конец теста
print('\n<hr><br>')

# выход
app.quit()
